%bcond_without gtkdoc

%define api 1.0
%define major 0

%define libname %mklibname %{name} %{api} %{major}
%define libcairo %mklibname %{name}cairo %{api} %{major}
%define libft2 %mklibname %{name}ft2_ %{api} %{major}
%define libxft %mklibname %{name}xft %{api} %{major}

%define girname %mklibname %{name}-gir %{api}
%define gircairo %mklibname %{name}cairo-gir %{api}
%define girft2 %mklibname %{name}ft2-gir %{api}
%define girxft %mklibname %{name}xft-gir %{api}

%define devname %mklibname -d %{name} %{api}
%define devcairo %mklibname -d %{name}cairo %{api}
%define devft2 %mklibname -d %{name}ft2_ %{api}
%define devx %mklibname -d %{name}x %{api}
%define devxft %mklibname -d %{name}xft %{api}

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	1.42.1
Release:	1
License:	LGPLv2+
Group:		System/Internationalization
Url:		http://www.pango.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pango/1.36/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libthai)
BuildRequires:	pkgconfig(xft)
%if %{with gtkdoc}
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gtk-doc
BuildRequires:	xsltproc
%endif

%description
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Internationalized text layout and rendering system
Group:		System/Libraries
Obsoletes:	%{_lib}pango-modules1.0 < 1.40.2
Provides:	%{_lib}pango-modules1.0 = %{EVRD}
Provides:	pango = %{EVRD}
Provides:	pango-modules = %{EVRD}

%description -n %{libname}
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%files -n %{libname}
%{_libdir}/libpango-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libcairo}
Summary:	Internationalized text layout and rendering system - cairo
Group:		System/Libraries

%description -n %{libcairo}
Library for %{name} - cairo.

%files -n %{libcairo}
%{_libdir}/libpangocairo-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libft2}
Summary:	Internationalized text layout and rendering system - ft2
Group:		System/Libraries

%description -n %{libft2}
Library for %{name} - ft2.

%files -n %{libft2}
%{_libdir}/libpangoft2-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libxft}
Summary:	Internationalized text layout and rendering system - xft
Group:		System/Libraries

%description -n %{libxft}
Library for %{name} - xft.

%files -n %{libxft}
%{_libdir}/libpangoxft-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Pango-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{gircairo}
Summary:	GObject Introspection interface description for %{name} - cairo
Group:		System/Libraries

%description -n %{gircairo}
GObject Introspection interface description for %{name} - cairo.

%files -n %{gircairo}
%{_libdir}/girepository-1.0/PangoCairo-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{girft2}
Summary:	GObject Introspection interface description for %{name} - ft2
Group:		System/Libraries

%description -n %{girft2}
GObject Introspection interface description for %{name} - ft2.

%files -n %{girft2}
%{_libdir}/girepository-1.0/PangoFT2-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{girxft}
Summary:	GObject Introspection interface description for %{name} - xft
Group:		System/Libraries

%description -n %{girxft}
GObject Introspection interface description for %{name} - xft.

%files -n %{girxft}
%{_libdir}/girepository-1.0/PangoXft-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Internationalized text layout and rendering system
Group:		Development/GNOME and GTK+
%rename		pango-devel
%rename		pango-doc
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Conflicts:	%{_lib}pango1.0_0 < 1.28.1-2

%description -n %{devname}
This package includes the development library and header files
for the %{name} package.

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/pango
%doc ChangeLog pango-view/HELLO.txt
%{_bindir}/pango-view*
%{_libdir}/libpango-*.so
%{_libdir}/pkgconfig/pango.pc
%{_datadir}/gir-1.0/Pango-%{api}.gir
%dir %{_includedir}/pango-1.0
%dir %{_includedir}/pango-1.0/pango
%{_includedir}/pango-1.0/pango/pango-*.h
%{_includedir}/pango-1.0/pango/pango.h
%{_includedir}/pango-1.0/pango/pangofc-*.h

#----------------------------------------------------------------------------

%package -n %{devcairo}
Summary:	Internationalized text layout and rendering system - cairo
Group:		Development/GNOME and GTK+
Requires:	%{libcairo} = %{EVRD}
Requires:	%{gircairo} = %{EVRD}

%description -n %{devcairo}
This package includes the development library and header files
for the %{name}cairo package.

%files -n %{devcairo}
%{_libdir}/libpangocairo*.so
%{_libdir}/pkgconfig/pangocairo.pc
%{_datadir}/gir-1.0/PangoCairo-%{api}.gir
%{_includedir}/pango-1.0/pango/pangocairo.h

#----------------------------------------------------------------------------

%package -n %{devft2}
Summary:	Internationalized text layout and rendering system - ft2
Group:		Development/GNOME and GTK+
Requires:	%{libft2} = %{EVRD}
Requires:	%{girft2} = %{EVRD}

%description -n %{devft2}
This package includes the development library and header files
for the %{name}ft2 package.

%files -n %{devft2}
%{_libdir}/libpangoft2-*.so
%{_libdir}/pkgconfig/pangoft2.pc
%{_datadir}/gir-1.0/PangoFT2-%{api}.gir
%{_includedir}/pango-1.0/pango/pangoft2.h

#----------------------------------------------------------------------------

%package -n %{devxft}
Summary:	Internationalized text layout and rendering system - xft
Group:		Development/GNOME and GTK+
Requires:	%{libxft} = %{EVRD}
Requires:	%{girxft} = %{EVRD}

%description -n %{devxft}
This package includes the development library and header files
for the %{name}xft package.

%files -n %{devxft}
%{_libdir}/libpangoxft-*.so
%{_libdir}/pkgconfig/pangoxft.pc
%{_datadir}/gir-1.0/PangoXft-%{api}.gir
%{_includedir}/pango-1.0/pango/pangoxft.h
%{_includedir}/pango-1.0/pango/pangoxft-render.h

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--enable-static=no \
	--with-included-modules=basic-fc \
%if %{without gtkdoc}
	--disable-gtk-doc \
%endif

%make

%install
%makeinstall_std

# Drop them to avoid file conflicts between 32 abd 64 bit package
rm -rf %{buildroot}%{_mandir}/man1/

%check
#disabled for https://bugzilla.gnome.org/show_bug.cgi?id=610791
make check || true

%changelog

* Fri Jun 29 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.42.1-1
- (c9d9f9d) Build requires pkgconfig(fribidi)
- (Andrey Bondrov: b1ac8ad) New version 1.42.1

* Fri Feb 09 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.40.14-1
- (bd00461) New version 1.40.14

* Mon Oct 09 2017 tremod <negry.m@yandex.ru> 1.40.12-1
- (72e85a6) Update to 1.40.12

* Sat Sep 02 2017 tremod <negry.m@yandex.ru> 1.40.11-1
- (757b5e6) Update to 1.40.11

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.40.2-3
- (070c50d) MassBuild#1230: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.40.2-2
- (abe97fd) MassBuild#1169: Increase release tag

* Tue Sep 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.40.2-1
- (218220c) New version 1.40.2
- (218220c) Drop obsolete pango-modules package

* Mon Jul 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.36.8-2
- (5c76802) Drop man pages to avoid file conflicts between 32 abd 64 bit package

* Thu Dec 17 2015 Tigro <ashejn@gmail.com> 1.36.8-1
- (9dc76f8) update to 1.36.8

* Fri May 22 2015 law <a.lahin@ntcit-rosa.ru> 1.36.6-3
- (ee6729a) Increase release number

* Fri May 22 2015 law <a.lahin@ntcit-rosa.ru> 1.36.6-2
- (56b8109) Do autoreconf (for build with frozen time)

* Sun Mar 08 2015 Tigro <ashejn@gmail.com> 1.36.8-1
- (a48c8bf) update to 1.36.8

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 1.36.6-2
- (ee1ce16) MassBuild#656: Increase release tag

* Mon Aug 25 2014 Tigro <ashejn@gmail.com> 1.36.6-1
- (e928c1e) update to 1.36.6

* Tue Jul 08 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.36.5-2
- (b68da86) fix requires
- (Alex Burmashev: d97af66) minor fix
- (Alex Burmashev: 45103bc) minor fix of requires

* Fri Jul 04 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.36.5-1
- (5f5bd88) New version 1.36.5

* Fri Jul 04 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.36.4-1
- (e31bb1b) Spec cleanup

* Fri Jul 04 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.36.4-2
- (6f2796a) Drop biarches definition because we don't support ppc anyway
- (Alex Burmashev: 3d2b4c0) MassBuild#440: Increase release tag

* Tue Jun 24 2014 Tigro <ashejn@gmail.com> 1.36.4-1
- (2a7bb85) update to 1.36.4

* Tue Apr 08 2014 Tigro <ashejn@gmail.com> 1.36.3-1
- (e736df0) do not call autoreconf
- (Tigro: 40d0d55) update to 1.32.0

* Thu Jun 20 2013 root <root@localhost.localdomain> 1.34.1-1
- (d4a0cb7) sync to gnome38 branch

* Tue Feb 05 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.32.5-1
- (ab69c5a) Revert last commit because since 1.32.6 pango requires fontconfig 2.11 which we don't have yet

* Tue Feb 05 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.32.6-1
- (8468e91) LOG New bugfix version 1.32.6

* Thu Jan 03 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.32.5-1
- (f34e928) LOG New bugfix version 1.32.5

* Mon Nov 19 2012 mdawkins <mattydaw@gmail.com> 1.32.2-1
- (9d6b558) removed .abf.yml file
- (mdawkins: ce7de40) new version 1.32.2

* Sat Nov 17 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.32.1-1
- (7e3515a) LOG Sync with Cooker (new version 1.32.1, drop pangox as upstream did, update files)


